Subject: [BK PATCH] USB changes for 2.4.19-pre10
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Pull from:  bk://linuxusb.bkbits.net/m-2.4

The individual patches will be sent in follow up messages to this email.

thanks,

greg k-h

 drivers/usb/catc.c    |    7 +++++++
 drivers/usb/dabusb.c  |    1 +
 drivers/usb/devices.c |    4 +++-
 drivers/usb/scanner.c |   23 +++++++++++++++++++----
 drivers/usb/scanner.h |   10 ++++++----
 drivers/usb/se401.c   |    6 ++++++
 drivers/usb/usb.c     |    9 +++++----
 drivers/usb/wacom.c   |   17 ++++++-----------
 8 files changed, 53 insertions(+), 24 deletions(-)
------

[email-masked], 2002-06-10 14:47:36-07:00, [email-masked]
  USB documentation cleanups.

 drivers/usb/usb.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)
------

[email-masked], 2002-06-10 14:17:03-07:00, [email-masked]
  [PATCH] Fix for Intuos tablet in wacom.c
  
  When you removed the smoothing algorithm you forgot to make
  the change my previous patch fixed. Anyway, I took a look at the code
  and found that it could be cleaned up a little.
  This patch works for me, but I can only test it with an Intuos tablet
  although it should not break anything.

 drivers/usb/wacom.c |   17 ++++++-----------
 1 files changed, 6 insertions(+), 11 deletions(-)
------

[email-masked], 2002-06-10 14:16:51-07:00, [email-masked]
  [PATCH] USB: scanner driver 0.4.8 and new maintainer
  
  Here's my last and final patch to the maintainer of USB Scanner Driver.  Brian
  Beattie <[email-masked]> is now going to assume this role (thanks
  Brian!).  Brian brings some kernel level programming so I'm sure he'll be able
  to conttribute to this list w/o any problems.  I want to thank you all for your
  support and help.  A couple of you sent some personal msgs regarding my
  departure - thank you.
  
  * 0.4.8  5/30/2002
   *    - Added Mustek BearPaw 2400 TA.  Thanks to Sergey
   *      Vlasov <[email-masked]>.
   *    - Added Mustek 1200UB Plus and Mustek BearPaw 1200 CU ID's.  These use
   *      the Grandtech GT-6801 chip. Thanks to Henning
   *      Meier-Geinitz <[email-masked]>.
   *    - Increased Epson timeout to 60 secs as requested from
   *      Karl Heinz Kremer <[email-masked]>.
   *    - Changed maintainership from David E. Nelson to Brian
   *      Beattie <[email-masked]>.

 drivers/usb/scanner.c |   23 +++++++++++++++++++----
 drivers/usb/scanner.h |   10 ++++++----
 2 files changed, 25 insertions(+), 8 deletions(-)
------

[email-masked], 2002-06-10 13:53:12-07:00, [email-masked]
  [PATCH] USB Checker missing unlocks fixes

 drivers/usb/dabusb.c  |    1 +
 drivers/usb/devices.c |    4 +++-
 2 files changed, 4 insertions(+), 1 deletion(-)
------

[email-masked], 2002-06-10 13:53:00-07:00, [email-masked]
  [PATCH] USB Checker missing null pointer checks fix

 drivers/usb/catc.c  |    7 +++++++
 drivers/usb/se401.c |    6 ++++++
 2 files changed, 13 insertions(+)
------